
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../widgets/desktop/desktop_set_password.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/breadcrumbs.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_set_password.dart';

class SetPassword extends StatelessWidget {
  final String mobile;
  final String code;
  const SetPassword(this.mobile, {Key? key, this.code}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
        builder: (context, sizingInformation) =>
        Scaffold(
          appBar: MiniNavigationBar(
            title: S.of(context).set_password,
            back: true,
            breadCrumbs: [
              BreadCrumb(S.of(context).set_password, null),
            ],
            breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
          ),
          drawer: null,
          body: ScreenTypeLayout(
            mobile: MobileSetPassword(mobile, code: code,),
            tablet: DesktopSetPassword(mobile, code: code,),
            desktop: DesktopSetPassword(mobile, code: code,),
          ),
          bottomNavigationBar: ScreenTypeLayout(
            mobile: MobileBottomNav(currentIndex: 0,),
            tablet: BottomNav(),
            desktop: BottomNav(),
          ),
        ),
    );
  }

}